Sync Payment Preprocessing
API reference
Send a push or pull preprocessing sync payment.
This call doesn't accept 3-D Secure (3DS) values. Send them in threeDomainSecure on the Sync Payment call that completes this payment.
Endpoint: v1/syncpayments/preprocessing
POST
https://sandbox.crbcos.com/cardpayments/v1/syncpayments/preprocessing
Body Parameters
- cardIdstringDescription
- cardTokenstringDescription
- accountNumberstringrequiredDescription
- amountintegerrequiredDescription
- paymentTypestringrequiredDescription
- correspondingEntityobject
- firstNamestringrequiredDescription
- lastNamestringrequiredDescription
- externalAccountIdentifierstringrequiredDescription
- addressobjectDescription
- street1stringrequiredDescription
- street2stringDescription
- citystringrequiredDescription
- statestringDescription
- postalCodestringrequiredDescription
- countryCodestringrequiredDescription
- mccstringDescription
- initiatorNamestringDescription
- clientIdentifierstringDescription
- businessTypestringDescription
- purposeOfPaymentstringDescription
Response
- idstringDescription
- originalPaymentIdstringDescription
- clientIdentifierstringDescription
- amountintegerDescription
- paymentTypestringDescription
- statusstringDescription
- sourcestringDescription
- productIdstringDescription
- partnerIdstringDescription
- cardIdstringDescription
- cardTokenstringDescription
- networkstringDescription
- cardBrandstringDescription
- panLastFourstringDescription
- issuerCountryCodestringDescription
- retrievalReferenceIdstringDescription
- networkTransactionIdstringDescription
- reasonCodestringDescription
- reasonDescriptionstringDescription
- traceNumberstringDescription
- correspondingEntityobjectDescription
- firstNamestringDescription
- lastNamestringDescription
- externalAccountIdentifierstring
- addressobjectDescription
- street1stringDescription
- street2stringDescription
- citystringDescription
- statestringDescription
- postalCodestringDescription
- countryCodestringDescription
- mccstringDescription
- merchantVerificationValuestringDescription
- initiatorNamestringDescription
- accountNumberstringDescription
- businessTypestringDescription
- purposeOfPaymentstringDescription
- coreTransactionIdstringDescription
- memoPostIdstringDescription
- memoPostRemovedAtstringDescription
- wasRefundedbooleanDescription
- refundPaymentIdstringDescription
- createdAtstringDescription
- authorizedOnstringDescription
- submittedOnstringDescription
- rejectedAtstringDescription
- completedAtstringDescription
- failedAtstringDescription
- limitsEligibleOnstringDescription
- lastModifiedAtstringDescription
- threeDomainSecureEcistringDescription
- threeDomainSecureUcafstringDescription
- threeDomainSecureCavvstringDescription
- threeDomainSecureXidstringDescription
curl
curl --location 'https://sandbox.crbcos.com/cardpayments/v1/syncpayments/preprocessing' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--data '{
"accountNumber": "7279550514",
"amount": 421,
"paymentType": "Push",
"cardToken": "11FB445C487140A9BEA51457A796172A000000",
"businessType": "WT"
}'nodejs
var https = require('follow-redirects').https;
var fs = require('fs');
var options = {
'method': 'POST',
'hostname': 'sandbox.crbcos.com',
'path': '/cardpayments/v1/syncpayments/preprocessing',
'headers': {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json',
'Accept': 'application/json'
},
'maxRedirects': 20
};
var req = https.request(options, function (res) {
var chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function (chunk) {
var body = Buffer.concat(chunks);
console.log(body.toString());
});
res.on("error", function (error) {
console.error(error);
});
});
var postData = JSON.stringify({
"accountNumber": "7279550514",
"amount": 421,
"paymentType": "Push",
"cardToken": "11FB445C487140A9BEA51457A796172A000000",
"businessType": "WT"
});
req.write(postData);
req.end();python
import requests
import json
url = "https://sandbox.crbcos.com/cardpayments/v1/syncpayments/preprocessing"
payload = json.dumps({
"accountNumber": "7279550514",
"amount": 421,
"paymentType": "Push",
"cardToken": "11FB445C487140A9BEA51457A796172A000000",
"businessType": "WT"
})
headers = {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json',
'Accept': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://sandbox.crbcos.com/cardpayments/v1/syncpayments/preprocessing")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request["Accept"] = "application/json"
request.body = JSON.dump({
"accountNumber": "7279550514",
"amount": 421,
"paymentType": "Push",
"cardToken": "11FB445C487140A9BEA51457A796172A000000",
"businessType": "WT"
})
response = https.request(request)
puts response.read_body
go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/cardpayments/v1/syncpayments/preprocessing"
method := "POST"
payload := strings.NewReader(`{
"accountNumber": "7279550514",
"amount": 421,
"paymentType": "Push",
"cardToken": "11FB445C487140A9BEA51457A796172A000000",
"businessType": "WT"
}`)
client := &http.Client {
}
req, err := http.NewRequest(method, url, payload)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
req.Header.Add("Accept", "application/json")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}200